{footer_script require='jquery.ui.sortable'}{literal}
  jQuery().ready(function(){
    jQuery(".menuPos").hide();
    jQuery(".drag_button").show();
    jQuery(".menuLi").css("cursor","move");
    jQuery(".menuUl").sortable({
      axis: "y",
      opacity: 0.8
    });
    jQuery("input[name^='hide_']").click(function() {
      men = this.name.split('hide_');
      if (this.checked) {
        jQuery("#menu_"+men[1]).addClass('menuLi_hidden');
      } else {
        jQuery("#menu_"+men[1]).removeClass('menuLi_hidden');
      }
    });
    jQuery("#menuOrdering").submit(function(){
      ar = jQuery('.menuUl').sortable('toArray');
      for(i=0;i<ar.length;i++) {
        men = ar[i].split('menu_');
        document.getElementsByName('position[' + men[1] + ']')[0].value = i;
      }
    });
  });
{/literal}{/footer_script}
{html_head}{literal}
<style type="text/css">#menuOrdering a:hover { border:none; }</style>
{/literal}{/html_head}

<div class="titrePage">
	<h2>Additional Pages - {'Manage'|@translate}</h2>
</div>

<form id="menuOrdering" action="{$F_ACTION}" method="post">
  <ul class="menuUl">
    {foreach from=$pages item=page}
    <li class="menuLi {if $page.pos<0}menuLi_hidden{/if}" id="menu_{$page.id}">
      <p>
        <span style="margin:2px 5px;">
          <a href="{$page.U_DELETE}"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/category_delete.png" alt="{'delete'|@translate}" title="{'delete'|@translate}" onClick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');"></a>
        </span>
        <span style="margin:2px 5px;">
          <a href="{$page.U_EDIT}"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/category_edit.png" alt="{'edit'|@translate}" title="{'edit'|@translate}"></a>
        </span>

        <img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" style="display:none;" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}">
        <strong><a href="{$page.U_PAGE}">{$page.title}</a></strong>
        {if $page.id == $HOMEPAGE} - {'Home'|@translate}{/if}
        {if $page.standalone == 'true'} - {'ap_standalone_page'|@translate}{/if}
        {if !empty($page.language)}<i>({$page.language})</i>{/if}
      </p>

      <p class="menuAuthor" style="margin-top:7px;">
        {'Hide'|@translate} <input type="checkbox" name="hide_{$page.id}" {if $page.pos<0}checked="checked"{/if}>
      </p>

      <p class="menuPos">
        <label>
          {'Position'|@translate} :
          <input type="text" size="4" name="position[{$page.id}]" maxlength="4" value="{math equation="abs(pos)" pos=$page.pos}">
        </label>
      </p>
    </li>
    {/foreach}
  </ul>
  <p class="menuSubmit">
    <input type="submit" name="submit" value="{'Submit'|@translate}">
    <input type="submit" name="reset" value="{'Reset'|@translate}">
  </p>

</form>
